#
# Copyright (c) 2019 UCT Prague.
# 
# 06aae02f41ca_timestamped_actors.py is part of Invenio Explicit ACLs 
# (see https://github.com/oarepo/invenio-explicit-acls).
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

"""timestamped actors."""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '06aae02f41ca'
down_revision = 'ec5cbec43ec8'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('explicit_acls_actor', sa.Column('created', sa.DateTime(), nullable=False))
    op.add_column('explicit_acls_actor', sa.Column('originator_id', sa.Integer(), nullable=False))
    op.add_column('explicit_acls_actor', sa.Column('updated', sa.DateTime(), nullable=False))
    op.create_index(op.f('ix_explicit_acls_actor_originator_id'), 'explicit_acls_actor', ['originator_id'], unique=False)
    op.create_foreign_key(op.f('fk_explicit_acls_actor_originator_id_accounts_user'), 'explicit_acls_actor', 'accounts_user', ['originator_id'], ['id'], ondelete='CASCADE')
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f('fk_explicit_acls_actor_originator_id_accounts_user'), 'explicit_acls_actor', type_='foreignkey')
    op.drop_index(op.f('ix_explicit_acls_actor_originator_id'), table_name='explicit_acls_actor')
    op.drop_column('explicit_acls_actor', 'updated')
    op.drop_column('explicit_acls_actor', 'originator_id')
    op.drop_column('explicit_acls_actor', 'created')
    # ### end Alembic commands ###
