#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""Document-based acls."""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '5ba4aa9a23ba'
down_revision = 'd179cf16d686'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('explicit_acls_recordroleactor',
    sa.Column('id', sa.String(length=36), nullable=False),
    sa.Column('path', sa.String(length=36), nullable=True),
    sa.ForeignKeyConstraint(['id'], ['explicit_acls_actor.id'], name=op.f('fk_explicit_acls_recordroleactor_id_explicit_acls_actor')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_explicit_acls_recordroleactor'))
    )
    op.create_table('explicit_acls_recorduseractor',
    sa.Column('id', sa.String(length=36), nullable=False),
    sa.Column('path', sa.String(length=36), nullable=True),
    sa.ForeignKeyConstraint(['id'], ['explicit_acls_actor.id'], name=op.f('fk_explicit_acls_recorduseractor_id_explicit_acls_actor')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_explicit_acls_recorduseractor'))
    )
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('explicit_acls_recorduseractor')
    op.drop_table('explicit_acls_recordroleactor')
    # ### end Alembic commands ###
