#
# Copyright (c) 2019 UCT Prague.
# 
# e1f135387190_systemrole_actor.py is part of Invenio Explicit ACLs 
# (see https://github.com/oarepo/invenio-explicit-acls).
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

"""SystemRole actor."""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'e1f135387190'
down_revision = '2cd83b6065cc'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('explicit_acls_system_role', sa.Column('system_role', sa.String(), nullable=True))
    op.drop_column('explicit_acls_system_role', 'authenticated')
    op.drop_column('explicit_acls_system_role', 'anonymous')
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('explicit_acls_system_role', sa.Column('anonymous', sa.BOOLEAN(), autoincrement=False, nullable=True))
    op.add_column('explicit_acls_system_role', sa.Column('authenticated', sa.BOOLEAN(), autoincrement=False, nullable=True))
    op.drop_column('explicit_acls_system_role', 'system_role')
    # ### end Alembic commands ###
